Inscription d'ours_brun83 expert technique sur CATIA V5

Aller en bas

Inscription d'ours_brun83 expert technique sur CATIA V5

Message par ours_brun83 le Jeu 1 Fév 2018 - 1:59

Salut a tous
je me presente ours_brun83 , j'ai 56 ans .
je fais de la CAO depuis 31ans Exclamation la vache ca passe vite Exclamation
anciennement chez Citroen avant que ca devienne PSA , puis AEROSPATIALE avant que cela devienne THALESALENIASPACE .
Je connais a peu pres tous les modules de catia V5 . aussi mecamaster et aucotec !

J'essaye de developper des macros pour m'aider dans les operations répétitives.
J'ai besoin de vos lumières sur les macros catscript.

Je sais : exporter des points du 3d vers excel , puis drawing
créer des parts a partir de tableau excel
modifier les proprietes des part et product

Je sais pas : ... tous le reste !
je cherche a renommer une esquisse un truc comme sketch1.Name , mais j'y arrive pas Exclamation
Tres difficile de trouver de la doc la dessus. Merci d'avance.

ours_brun83
timide
timide

Messages : 1
Date d'inscription : 01/02/2018
Localisation : VAR

Revenir en haut Aller en bas

Re: Inscription d'ours_brun83 expert technique sur CATIA V5

Message par d.vincent567 le Jeu 22 Mar 2018 - 6:40

Bonjour et bienvenu sur le forum Smile.

Je te conseil de poster tes questions dans la partie du forum appropriées (car je ne suis pas sur que les membres passent souvent par ici Wink)
avatar
d.vincent567
actif
actif

Messages : 81
Date d'inscription : 06/11/2016
Localisation : Brest

Revenir en haut Aller en bas

Re: Inscription d'ours_brun83 expert technique sur CATIA V5

Message par raphael_59240 le Lun 26 Mar 2018 - 19:00

Bonjour,

Je pense que ta façons de penser et à revoir car tu n'auras jamais un nom de type SKETCH1 car c'est le nom d'une collection scketch. (soit un item).
en gros pour modifié le nom tu doit etre dans le document ensuite dans le body et enfin le sketch.

Voici un bout de code qui pourrai t'eclairé:

Code:
...
' ------------
' Get the part
' ------------
Dim oPart As Part
Set oPart = CATIA.ActiveDocument.Part

' ------------
' Get the part body in the part
' ------------
Dim oBody As Body
Set oBody = oPart.Bodies.Item  ( "PartBody" )

' ------------
' Get the sketch in the body
' ------------
Dim oSketch As Sketch
Set oSketch = oBody.Sketches.Item  ( "Sketch.1" )


a+

raphael
avatar
raphael_59240
actif
actif

Messages : 127
Date d'inscription : 28/03/2015
Age : 48
Localisation : dunkerque

Revenir en haut Aller en bas

Re: Inscription d'ours_brun83 expert technique sur CATIA V5

Message par Guss_ le Ven 13 Avr 2018 - 21:08

Bienvenu

C'est cool un expert avec beaucoup d’expérience !

Guss_
Fédérateur
Fédérateur

Messages : 514
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

Re: Inscription d'ours_brun83 expert technique sur CATIA V5

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum